/*
 * Copyright (c) 2008-2011 Atheros Communications Inc.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef __AR9300_DEVID_H__
#define __AR9300_DEVID_H__

/* Atheros chipsets */
#define AR_SREV_VERSION_AR5416_PCI	0xD
#define AR_SREV_VERSION_AR5416_PCIE	0xC
#define AR_SREV_REVISION_AR5416_10	0
#define AR_SREV_REVISION_AR5416_20	1
#define AR_SREV_REVISION_AR5416_22	2
#define AR_SREV_VERSION_AR9100		0x14
#define AR_SREV_VERSION_AR9160		0x40
#define AR_SREV_REVISION_AR9160_10	0
#define AR_SREV_REVISION_AR9160_11	1
#define AR_SREV_VERSION_AR9280		0x80
#define AR_SREV_REVISION_AR9280_10	0
#define AR_SREV_REVISION_AR9280_20	1
#define AR_SREV_REVISION_AR9280_21	2
#define AR_SREV_VERSION_AR9285		0xC0
#define AR_SREV_REVISION_AR9285_10	0
#define AR_SREV_REVISION_AR9285_11	1
#define AR_SREV_REVISION_AR9285_12	2
#define AR_SREV_VERSION_AR9287		0x180
#define AR_SREV_REVISION_AR9287_10	0
#define AR_SREV_REVISION_AR9287_11	1
#define AR_SREV_REVISION_AR9287_12	2
#define AR_SREV_REVISION_AR9287_13	3
#define AR_SREV_VERSION_AR9271		0x140
#define AR_SREV_REVISION_AR9271_10	0
#define AR_SREV_REVISION_AR9271_11	1
#define AR_SREV_VERSION_AR9300		0x1c0
#define AR_SREV_REVISION_AR9300_20	2 /* 2.0 and 2.1 */
#define AR_SREV_REVISION_AR9300_22	3
#define AR_SREV_VERSION_AR9330		0x200
#define AR_SREV_REVISION_AR9330_10	0
#define AR_SREV_REVISION_AR9330_11	1
#define AR_SREV_REVISION_AR9330_12	2
#define AR_SREV_VERSION_AR9485		0x240
#define AR_SREV_REVISION_AR9485_10	0
#define AR_SREV_REVISION_AR9485_11	1
#define AR_SREV_VERSION_AR9340		0x300
#define AR_SREV_REVISION_AR9340_10	0
#define AR_SREV_REVISION_AR9340_11	1
#define AR_SREV_REVISION_AR9340_12	2
#define AR_SREV_REVISION_AR9340_13	3
#define AR_SREV_VERSION_AR9380		0x1C0
#define AR_SREV_VERSION_AR9580		0x1C0
#define AR_SREV_REVISION_AR9580_10	4 /* AR9580 1.0 */
#define AR_SREV_VERSION_AR9460		0x280
#define AR_SREV_VERSION_AR9462		0x280
#define AR_SREV_REVISION_AR9462_20	2
#define AR_SREV_REVISION_AR9462_21	3

/* Qualcomm Atheros chipsets */
#define AR_SREV_VERSION_QCA9565		0x2C0
#define AR_SREV_REVISION_QCA9565_10	0
#define AR_SREV_REVISION_QCA9565_101	1
#define AR_SREV_REVISION_QCA9565_11	2
#define AR_SREV_VERSION_QCA9550		0x400
#define AR_SREV_VERSION_QCA9531		0x500
#define AR_SREV_REVISION_QCA9531_10	0
#define AR_SREV_REVISION_QCA9531_11	1

#endif
